﻿using BluetoothConnection.Objects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BluetoothConnection.Services
{
    public interface IRfcomm
    {
        bool IsConnected { get; set; }
        Task ConnectAsync(string deviceName);

        Task<IEnumerable<Song>> GetSongsListAsync();
        Task PlaySongAsync(Song song);
        Task StopMusicAsync();
    }
}
