﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BluetoothConnection.Objects
{
    public class RequestType
    {
        public const string List = "List";
        public const string Play = "Play";
        public const string Stop = "Stop";
    }

    public class Request
    {
        public string RequestType { get; set; }

        [JsonProperty(NullValueHandling = NullValueHandling.Ignore)]
        public object Arguments { get; set; }
    }
}
