﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MvvmLightExtensions.WindowsStore.Services
{
    public interface IMessageService
    {
        Task ShowAsync(string message, string title = null, uint defaultCommandIndex = 0, params Command[] commands);
    }

    public class Command
    {
        public int Id { get; set; }
        public string Text { get; set; }
        public Action Action { get; set; }
    }
}
